import mongoose from 'mongoose'; 

const Schema = mongoose.Schema

export const PurchaseSchema = new Schema({
    user_id: {
        type: String,
        required: true,
    },
    event_id: {
        type: String,
        required: true,
    },
    card_details_id: {
        type: String,
        required: true,
    },
    amount: {
        type: Number,
        required: true,
    },
    service_fee: {
        type: Number,
        required: true,
    }
})

const Purchase = mongoose.model('Purchase', PurchaseSchema);

module.exports = Purchase 