import {signupValidator, signinValidator, validatorResult} from "../middleware/validator";
import {signupController, signinController } from "../controllers/authControllers";

const authRoutes = (app) => {
    app.route('/api/auth/signup')
        .post(signupValidator, validatorResult, signupController) 

    app.route('/api/auth/signin')
        .post(signinValidator, validatorResult, signinController)
}

export default authRoutes;

