// Import controllers to connect to routes so the req can call the controller function based on the URL route
import {getPurchases, purchaseController} from "../controllers/purchaseControllers";
import { purchaseValidator, validatorResult } from "../Middleware/validator";

const purchaseRoutes = (app) => {
    app.route('/api/purchase')
        .get(getPurchases)
        .post(purchaseValidator, validatorResult, purchaseController)
};

export default purchaseRoutes; 