// Import controllers to connect to routes so the req can call the controller function based on the URL route
import {addNewEvent, getEvents} from "../controllers/eventControllers";
import { eventValidator, validatorResult } from "../Middleware/validator";
import {authenticateJWT} from "../middleware/authenticator"
import {upload} from "../middleware/multer"

// For Multer image upload but returns an error
// upload.single("eventImage")

const eventRoutes = (app) => {
    app.route('/api/event')
        .post(eventValidator, validatorResult, addNewEvent) 
        .get(getEvents)
};

export default eventRoutes;